deds.pval {DEDS} | R Documentation

## Differential Expression via Distance Summary of p Values from Multiple Models

### Description

`deds.pval` integrates different p values of differential expression (DE) to rank and select a set of DE genes.

### Usage

    deds.pval(X, E = rep(0, ncol(X)), adj = c("fdr", "adjp"), B = 200, nsig = nrow(X))

### Arguments

`X` | A matrix, with m rows corresponding to variables (hypotheses) and n columns corresponding to p values from different statistical models.
`E` | A numeric vector indicating the location of the most extreme p values in the direction of differential expression.
`adj` | A character string specifying the type of multiple testing adjustment. If `adj="fdr"`, False Discovery Rate is controled and q values are returned. If `adj="adjp"`, ajusted p values that controls family wise type I error rate is returned.
`B` | The number of permutations. For a complete enumeration, `B` should be 0 (zero) or any number not less than the total number of permutations.
`nsig` | A numeric variable specifying the number of top genes that will be returned.

### Details

`deds.pval` summarizes p values from multiple statistical models for the evidence of DE. The DEDS methodology treats each gene as a point corresponding to a gene's vector of DE measures. An "extreme origin" is defined as the point that indicate DE, typically a vector of zero p values. The distance from all points to the extreme is computed and the ranking of a gene for DE is determined by the closeness of the gene to the extreme. To determine a cutoff for declaration of DE, null referent distributions are generated using an approach similar to the gap statistic (see Reference below). DEDS can also summarize different statistics, see `deds.stat` and `deds.stat.linkC`.

### Value

An object of class `DEDS`. See `DEDS-class`.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### References

Tibshirani, R., Walther G., and Hastie T. (2000). Estimating the number of clusters in a dataset via the gap statistic. Department of Statistics, Stanford University, http://www-stat.stanford.edu/~tibs/ftp/gap.ps

Yang, Y.H., Xiao, Y. and Segal M.R.: Selecting differentially expressed genes from microarray experiment by sets of statistics. Bioinformatics 2005 21:1084-1093.

### See Also

`deds.stat`, `deds.stat.linkC`.

### Examples

[Package DEDS version 1.6.0 Index]